/*
 * SettingTreeNode.java
 *
 * Created on 17. mars 2001, 12:42
 */

package no.twofingers.iControl.swing;

import javax.swing.*;
import javax.swing.tree.*;
import no.twofingers.iControl.Setting;

/**
 *
 * @author  <a href="mailto:aslak.hellesoy@bekk.no">Aslak Hellesy</a>
 */
class SettingTreeNode extends DefaultMutableTreeNode {
	
	/**
	 * Creates a new SettingTreeNode
	 */
	public SettingTreeNode( Setting setting ) {
		super( setting );
	}
	
	public Setting getSetting() {
		return (Setting) getUserObject();
	}
}
